#
# spec file for package termcap
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           termcap
License:        LGPL-2.1+
Group:          System/Libraries
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      termcap-64bit
%endif
#
Version:        2.0.8
Release:        lp152.1028.8
Summary:        The Termcap Library
Source:         termcap-2.0.8.tar.gz
Source1:        curses-bsd4.4.tar.gz
Source2:        baselibs.conf
Patch:          termcap-2.0.8.dif
Patch1:         curses-bsd4.4-linux.patch
Patch2:         termcap-2.0.8-setuid.patch
Patch3:         termcap-2.0.8-fix-tc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The termcap library.

%prep
%setup -q -b 0 -b 1
%patch  -p0
%patch2 -p1 -b .setuid
%patch3 -p1 -b .tc
cd ../curses-bsd4.4
%patch1 -p0

%build
mkdir termcap
ln -sf ../termcap.h termcap/
make -j1 lib=%{_lib} CC="%{__cc}"
cd ../curses-bsd4.4
make -j1 lib=%{_lib} CC="%{__cc}"

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/%{_lib}
mkdir -p ${RPM_BUILD_ROOT}/usr/include
make install prefix=${RPM_BUILD_ROOT}/usr lib=%{_lib}
cd ../curses-bsd4.4
make install prefix=${RPM_BUILD_ROOT}/usr lib=%{_lib}

%clean
test -z "${RPM_BUILD_ROOT}" || rm -rf "${RPM_BUILD_ROOT}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir /usr/include/curses
%dir /usr/%{_lib}/curses
/usr/include/curses/curses.h
/usr/%{_lib}/curses/libcurses.a
/usr/%{_lib}/curses/libcurses.so
/usr/%{_lib}/libcurses.so.1
/usr/%{_lib}/libcurses.so.1.0.0
%dir /usr/include/termcap
%dir /usr/%{_lib}/termcap
/usr/include/termcap/termcap.h
/usr/%{_lib}/libtermcap.so.2
/usr/%{_lib}/libtermcap.so.2.0.8
/usr/%{_lib}/termcap/libtermcap.a
/usr/%{_lib}/termcap/libtermcap.so

%changelog
* Tue Oct  4 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Tue Feb 15 2011 coolo@novell.com
- disable parallel build, it can break
* Tue Nov 16 2010 meissner@suse.de
- use ln -sf instead of ln -s if we ever enter make install
  twice (fix for a ppc time issue).
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Fri Dec 18 2009 jengelh@medozas.de
- add baselibs.conf as a source
- enable parallel building
* Mon Oct 26 2009 meissner@suse.de
- fixed implicit setfsuid and setfsgid, check their return values.
- fixed implicit abort()
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 21 2005 werner@suse.de
- Remove one of two __END_DECLS (bug #140467)
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Jul 28 2003 werner@suse.de
- Increase possible size of termcap entry
- Fix tc entry resolver
- Add fsuid/fsgid wrapper for suid programs
* Thu Feb 14 2002 werner@suse.de
- Move the string lib to %%_lib which depends on architecture
* Fri Oct 13 2000 werner@suse.de
- use old BSD curses for compiling libcurses
* Fri Oct  6 2000 kukuk@suse.de
- change group tag
* Sun Oct  1 2000 kukuk@suse.de
- Fix for glibc 2.2
* Sun Nov 28 1999 kukuk@suse.de
- Include binary only libcurses only on Intel
- Don't build ignored info pages, remove tetex dependency
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 18 1999 kukuk@suse.de
- Check for possible buffer overflow
* Wed Jul 28 1999 schwab@suse.de
- Correctly handle \072 and \\
* Fri Oct 17 1997 ro@suse.de
- curses 1.0.0 binary used
  ready for autobuild
  Tue Sep  3 12:07:47 MET DST 1996
  libcurses added.
  die libbcurses.so.1.0.0 bzw. libcurses.a sind aber aus der November und mit
  gcc 2.6.4 bersetzt (original Slackware).  Was fehlt, sind die Sourcen,
  die Patrick Volkerding verwendete ... die sind auf unserem Mirror nicht
  zu finden ... nur eine wesentlich ltere Version.
